#include "config.h"

#include "Query.hh"

namespace diskCache
{
  //---------------------------------------------------------------------
  /// The default constructor assumes nothing and ensures that all
  /// values that must have a particular initial value are given
  /// their correct initial value.
  //---------------------------------------------------------------------
  Query::
  Query( )
    : m_search_criteria( CRITERIA_BIT_NONE ),
      m_time_range( (time_range_type*)NULL )
  {
  }

  Query::
  Query( const Query& Source )
    : m_search_criteria( Source.m_search_criteria ),
      m_ifo( Source.m_ifo ),
      m_ifo_type( Source.m_ifo_type ),
      m_ifo_type_list( Source.m_ifo_type_list ),
      m_type( Source.m_type ),
      m_time_start( Source.m_time_start ),
      m_time_end( Source.m_time_end ),
      m_ext( Source.m_ext ),
      m_filename_handler( Source.m_filename_handler ),
      m_time_range( Source.m_time_range ),
      m_time_range_parent( (Query*)NULL )

  {
  }

  Query::
  ~Query( )
  {
    if ( m_time_range
	 && ( m_time_range_parent == this ) )
    {
      delete m_time_range;
      m_time_range = (time_range_type*)NULL;
      m_time_range_parent = (Query*)NULL;
    }
  }
} // namespace - diskCache
